COMPOSE_PROJECT_NAME=catalyst_marketplace
CATALYST_MPLACE_NETWORK=catalyst_marketplace

# DB stuff
POSTGRES_DATABASE=information_broker
POSTGRES_HOST=database-service
POSTGRES_PASSWORD=xyXdSM2DW5HPkJG8vV9CezXLmhtpyuLc
POSTGRES_USER=information_broker

# Django ADMIN stuff
ADMIN_EMAIL=catalyst-info@project-catalyst.eu
ADMIN_PASSWORD=rXqL4UrNyzk4MvBwBWHQCJWAs2LRsgnC
ADMIN_USERNAME=catalyst_admin

# Keycloak stuff
CLIENT_ID=de96e35b-a9c0-4c1e-a622-02e72bc28da0
CLIENT_SECRET=3a8fbcce-c023-4052-aacb-73617a2b1d4f
OS_AUTHZ_CONFIG={"allowRemoteResourceManagement": true, "policyEnforcementMode": "ENFORCING", "resources": [{"name": "Default Resource", "type": "urn:catalyst-maas-electricity:resources:default", "ownerManagedAccess": false, "attributes": {}, "_id": "31716e25-c512-48ad-9341-b80a5ca06eee", "uris": ["/*"]}], "policies": [{"id": "f927f8da-55cb-48d5-be6f-0ab4cc5c9d1a", "name": "Default Policy", "description": "A policy that grants access only for users within this realm", "type": "js", "logic": "POSITIVE", "decisionStrategy": "AFFIRMATIVE", "config": {"code": "// by default, grants any permission associated with this policy\n$evaluation.grant();\n"}}, {"id": "b90b23f4-d56a-4f2c-b344-1e3f981dc12e", "name": "dso-role-policy", "type": "role", "logic": "POSITIVE", "decisionStrategy": "UNANIMOUS", "config": {"roles": "[{\"id\":\"catalyst-maas-electricity/dso\",\"required\":true},{\"id\":\"known-market-actor\",\"required\":true}]"}}, {"id": "cc9fc1cf-1069-49a8-a925-0afaea29eefe", "name": "operator-role-policy", "type": "role", "logic": "POSITIVE", "decisionStrategy": "UNANIMOUS", "config": {"roles": "[{\"id\":\"known-market-actor\",\"required\":true},{\"id\":\"catalyst-maas-electricity/operator\",\"required\":true}]"}}, {"id": "d5102c7c-06a9-407b-8d5d-87460b51d8e6", "name": "aggregator-role-policy", "type": "role", "logic": "POSITIVE", "decisionStrategy": "UNANIMOUS", "config": {"roles": "[{\"id\":\"catalyst-maas-electricity/aggregator\",\"required\":true},{\"id\":\"known-market-actor\",\"required\":true}]"}}, {"id": "ee41872e-3f3b-4347-8627-5dde467aaf86", "name": "mbm-role-policy", "type": "role", "logic": "POSITIVE", "decisionStrategy": "UNANIMOUS", "config": {"roles": "[{\"id\":\"known-market-actor\",\"required\":true},{\"id\":\"catalyst-maas-electricity/mbm\",\"required\":true}]"}}, {"id": "c6ae0e15-02e9-4bc3-aa7d-788877d33485", "name": "mcm-role-policy", "type": "role", "logic": "POSITIVE", "decisionStrategy": "UNANIMOUS", "config": {"roles": "[{\"id\":\"catalyst-maas-electricity/mcm\",\"required\":true},{\"id\":\"known-market-actor\",\"required\":true}]"}}, {"id": "8543d7e7-75c1-42c0-8d56-cfff2dc57fd3", "name": "Default Permission", "description": "A permission that applies to the default resource type", "type": "resource", "logic": "POSITIVE", "decisionStrategy": "UNANIMOUS", "config": {"defaultResourceType": "urn:catalyst-maas-electricity:resources:default", "applyPolicies": "[\"Default Policy\"]"}}, {"id": "c3ea1571-7a53-4c39-9351-5a3b520f0ac5", "name": "dso-permissions", "type": "scope", "logic": "POSITIVE", "decisionStrategy": "UNANIMOUS", "config": {"scopes": "[\"dso-read\",\"dso-write\"]", "applyPolicies": "[\"dso-role-policy\"]"}}, {"id": "3c631c25-4cc5-4794-b1d4-c056c3429b4b", "name": "operator-permissions", "type": "scope", "logic": "POSITIVE", "decisionStrategy": "UNANIMOUS", "config": {"scopes": "[\"market-operator-write\",\"market-operator-read\"]", "applyPolicies": "[\"operator-role-policy\"]"}}, {"id": "952ee4d2-fb36-4018-a734-a50fa9ae9f85", "name": "aggregator-permissions", "type": "scope", "logic": "POSITIVE", "decisionStrategy": "UNANIMOUS", "config": {"scopes": "[\"aggregator-write\",\"aggregator-read\"]", "applyPolicies": "[\"aggregator-role-policy\"]"}}, {"id": "18632be5-a27d-4e05-83ca-e02ee07d7e28", "name": "mbm-permissions", "type": "scope", "logic": "POSITIVE", "decisionStrategy": "UNANIMOUS", "config": {"scopes": "[\"mbm-read\",\"mbm-write\"]", "applyPolicies": "[\"mbm-role-policy\"]"}}, {"id": "77b1eff7-7544-4c15-be53-07c9cad9faee", "name": "mcm-permissions", "type": "scope", "logic": "POSITIVE", "decisionStrategy": "UNANIMOUS", "config": {"scopes": "[\"mcm-read\",\"mcm-write\"]", "applyPolicies": "[\"mcm-role-policy\"]"}}], "scopes": [{"id": "9dc2d1e3-8759-4857-8dff-b9a02504254e", "name": "dso-read"}, {"id": "530de306-0e5c-4d48-9ceb-faff29de4626", "name": "dso-write"}, {"id": "30f37fd2-c3a6-4721-8a28-016de19a40f5", "name": "market-operator-read"}, {"id": "6b454ef9-05cf-401a-b323-573eacbe27e7", "name": "market-operator-write"}, {"id": "e055726e-8b5a-40e8-a48f-f79273a8a2fe", "name": "aggregator-read"}, {"id": "bd653374-d272-455c-91f8-e16dd7811b95", "name": "aggregator-write"}, {"id": "8ecaca6a-9896-4d63-a147-320764bde0a1", "name": "mbm-read"}, {"id": "e7b2a36c-0f88-4f77-9cc4-04e44fb17c77", "name": "mbm-write"}, {"id": "ef8dc39f-e14e-4493-8223-5917b98bed05", "name": "mcm-read"}, {"id": "9e05f4c5-cc88-4a1b-906e-73e93efe5844", "name": "mcm-write"}], "decisionStrategy": "UNANIMOUS"}


# Keycloak stuff, provided for reasons of account creation
REALM_ADMIN_PASSWORD=admin
REALM_ADMIN_USERNAME=admin

# Deployment stuff, definitely change this.
EXTERNAL_URL=localhost
RELATIVE_URL=catalyst/marketplace/example
DJANGO_SETTINGS_MODULE=information_broker.settings.production

# Used for interacting with MEMO (?)
FORM=electric_energy
TYPE=energy

# Other components
DCMCM_SERVER_IP=192.168.1.181
DCMCM_SERVER_PORT=80
ITLB_URL=https://itlb.project-catalyst.eu
MCM_URL=http://market-clearing-manager-service:8080/marketclearingmanager/mcm/
MSM_URL=http://market-session-manager-service:8080/marketsessionmanager/msm/
SLARC_IP=192.168.1.198
SLARC_PORT=80
VCG_IP=192.168.1.109
VCG_PORT=5100
MULTIPLE_ENERGY_MARKETPLACE_ORCHESTRATOR_URL=memo-service.example
